Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events
Interface IRequestSituation

All Superinterfaces:
  ISituationType

All Known Implementing Classes:
  RequestSituationImpl

Deprecated. This class is deprecated as of 2004-05-17. Use the corresponding class available in org.eclipse.hyades.logging.events.cbe*

public interface IRequestSituation
extends ISituationType

The RequestSituation deals with the situations that a component uses to identify the completion status of a request. Typically, these requests are complex management tasks or transactions that a component undertakes on behalf of a requestor and not the mainline simple requests or transactions. Existing messages include words like configuration synchronization started, and backup procedure complete, for example: `ADMS0003I: Configuration synchronization completed`

Since:
  1.0.1
Version:
  1.0.1
Author:
  Richard K. Duggan, Paul E. Slauenwhite
See Also:
  `ISituationType`

Method Summary
`java.lang.String` | `getSituationQualifier()` Deprecated. Returns the situationQualifier.
`java.lang.String` | `getSuccessDisposition()` Deprecated. Returns the successDisposition.
`void` | `setSituationQualifier(java.lang.String situationQualifier)` Deprecated. Sets the situationQualifier.
`void` | `setSuccessDisposition(java.lang.String successDisposition)` Deprecated. Sets the successDisposition.

Methods inherited from interface org.eclipse.hyades.logging.events.ISituationType
`getReasoningScope, init, setReasoningScope`

Method Detail

### getSuccessDisposition

    public java.lang.String getSuccessDisposition()

  Deprecated.
  Returns the successDisposition. This property specifies the success disposition of an operation of a situation that caused the situation to be reported. The successDisposition is a string with the following set of values: SUCCESSFUL UNSUCESSFUL This is a REQUIRED property and once it is set it MUST NOT change. The string length for this property MUST NOT exceed 64 characters.

  Returns:
    String The returned successDisposition.
  Since:
    1.0.1

### getSituationQualifier

    public java.lang.String getSituationQualifier()

  Deprecated.
  Returns the situationQualifier. This property specifies the request qualifiers that are representation of the parameters necessary to describe the situation. The situationQualifier is a string with the following set of values: REQUEST INITIATED REQUEST COMPLETED This is a REQUIRED property and once it is set it MUST NOT change. The string length for this property MUST NOT exceed 64 characters.

  Returns:
    String The returned situationQualifier.
  Since:
    1.0.1

### setSuccessDisposition

    public void setSuccessDisposition(java.lang.String successDisposition)

  Deprecated.
  Sets the successDisposition. This property specifies the success disposition of an operation of a situation that caused the situation to be reported. The successDisposition is a string with the following set of values: SUCCESSFUL UNSUCESSFUL This is a REQUIRED property and once it is set it MUST NOT change. The string length for this property MUST NOT exceed 64 characters.

  Parameters:
    `successDisposition` - The successDisposition to be set.
  Since:
    1.0.1

### setSituationQualifier

    public void setSituationQualifier(java.lang.String situationQualifier)

  Deprecated.
  Sets the situationQualifier. This property specifies the request qualifiers that are representation of the parameters necessary to describe the situation. The situationQualifier is a string with the following set of values: REQUEST INITIATED REQUEST COMPLETED This is a REQUIRED property and once it is set it MUST NOT change. The string length for this property MUST NOT exceed 64 characters.

  Parameters:
    `situationQualifier` - The situationQualifier to be set.
  Since:
    1.0.1

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD